libvisio::VSDPolylineTo3 Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDPolylineTo3 Class Reference
Inheritance diagram for libvisio::VSDPolylineTo3:

## Public Member Functions
| VSDPolylineTo3 (unsigned id, unsigned level, const boost::optional< double > &x, const boost::optional< double > &y, const boost::optional< PolylineData > &data)
| ~VSDPolylineTo3 () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
PolylineData | m_data
double | m_x
double | m_y

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDPolylineTo3()

libvisio::VSDPolylineTo3::VSDPolylineTo3 | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x,
|  | const boost::optional< double > & | y,
|  | const boost::optional< PolylineData > & | data
| ) |  |
| inline

## ◆ ~VSDPolylineTo3()

libvisio::VSDPolylineTo3::~VSDPolylineTo3 | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDPolylineTo3::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDPolylineTo3::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_data

PolylineData libvisio::VSDPolylineTo3::m_data

Referenced by libvisio::VSDGeometryList::addPolylineTo().

## ◆ m_x

double libvisio::VSDPolylineTo3::m_x

Referenced by libvisio::VSDGeometryList::addPolylineTo().

## ◆ m_y

double libvisio::VSDPolylineTo3::m_y

Referenced by libvisio::VSDGeometryList::addPolylineTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp